Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.survivor.impl
Class SurvivorQuality

    java.lang.Object
      com.sun.mdm.index.survivor.impl.SurvivorQuality

All Implemented Interfaces:
  java.io.Serializable

public class SurvivorQuality
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`(package private) java.lang.String` | `mPreference` prefered value
`(package private) java.lang.String` | `mQuality` quality name
`(package private) java.lang.String` | `mSourceField` source field name
`(package private) double` | `mUtility` utility score

Constructor Summary
`SurvivorQuality()` Creates new UtilityParameter
`SurvivorQuality(java.lang.String quality, java.lang.String preference, java.lang.String source, java.lang.String utility)` constructs a SurvivorQuality object

Method Summary
`java.lang.String` | `getPreference()` getter for preference
`java.lang.String` | `getQuality()` getter for quality
`java.lang.String` | `getSource()` getter for source field
`double` | `getUtility()` getter for utility value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mPreference

    java.lang.String mPreference

  prefered value

### mQuality

    java.lang.String mQuality

  quality name

### mSourceField

    java.lang.String mSourceField

  source field name

### mUtility

    double mUtility

  utility score

Constructor Detail

### SurvivorQuality

    public SurvivorQuality()

  Creates new UtilityParameter

### SurvivorQuality

    public SurvivorQuality(java.lang.String quality,
                           java.lang.String preference,
                           java.lang.String source,
                           java.lang.String utility)
                    throws java.lang.NumberFormatException

  constructs a SurvivorQuality object

  Parameters:
    `quality` - quality value
    `preference` - preference value
    `source` - source field value
    `utility` - utility value
  Throws:
    `java.lang.NumberFormatException` - utility value is not a number

Method Detail

### getPreference

    public java.lang.String getPreference()

  getter for preference

  Returns:
    preference value

### getQuality

    public java.lang.String getQuality()

  getter for quality

  Returns:
    getter for quality

### getSource

    public java.lang.String getSource()

  getter for source field

  Returns:
    source field name

### getUtility

    public double getUtility()

  getter for utility value

  Returns:
    utility value

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.